package kr.co.vividnext.sodalive.report

import com.google.gson.annotations.SerializedName

data class ReportRequest(
    @SerializedName("type") val type: ReportType,
    @SerializedName("reason") val reason: String,
    @SerializedName("reportedAccountId") val reportedAccountId: Long? = null,
    @SerializedName("cheersId") val cheersId: Long? = null,
    @SerializedName("audioContentId") val audioContentId: Long? = null,
)

enum class ReportType {
    @SerializedName("REVIEW") REVIEW,
    @SerializedName("PROFILE") PROFILE,
    @SerializedName("USER") USER,
    @SerializedName("CHEERS") CHEERS,
    @SerializedName("AUDIO_CONTENT") AUDIO_CONTENT
}
